class PettanrColorHelper
  confirm_confirm_confirm = () ->
    confirm(  )
  @WritingFormat = window.PettanrWritingFormat
  
  @color_slider_change = (trace) -> 
    red = $(trace + 'code_red').slider('value')
    green = $(trace + 'code_green').slider('value')
    blue = $(trace + 'code_blue').slider('value')
    code = (red << 16) + (green << 8) + (blue)
    phex = "000000" + code.toString(16)
    hex = code.toString(16)
    h = phex.substring(phex.length - 6)
    $(trace + 'code_swatch').css('background-color', '#' + h)
    $(trace + 'code_hex').html('HEX: #' + h)
    $(trace + 'code_rgb').html('RGB: (' + red + ',' + green + ',' +blue + ')')
    v = '#' + h
    if $(trace).attr('element_type') == 'ground_color'
      $(trace + 'code').val(code)
      $(trace).css('background-color', v)
    else
      $(trace + 'fore_color').val(code)
      $(trace).css('color', v)
  
  @add_helper = (wrapper, column) ->
    editor = window.PettanrEditor
    wrapper.map -> 
      $(@).css('display', 'block')
    
    $('.colorpicker', wrapper).map -> 
      if editor.is_element_part($(@))
        code_picker_trace = editor.element_part_tag_id($(@))
      else
        code_picker_trace = editor.element_tag_id($(@))
      code = parseInt($(code_picker_trace + column).val())
      red = (code >> 16) & 0xFF
      green = (code >> 8) & 0xFF
      blue = code & 0xFF
      $(code_picker_trace + 'code_red').slider {
        orientation: 'horizontal',
        range: 'min',
        max: 255,
        value: red,
        change: ( event, ui ) ->
          if editor.is_element_part($(@).parent())
            trace = editor.element_part_tag_id($(@).parent())
          else
            trace = editor.element_tag_id($(@).parent())
          PettanrColorHelper.color_slider_change(trace)
      }
      $(code_picker_trace + 'code_green').slider {
        orientation: 'horizontal',
        range: 'min',
        max: 255,
        value: green,
        change: ( event, ui ) ->
          if editor.is_element_part($(@).parent())
            trace = editor.element_part_tag_id($(@).parent())
          else
            trace = editor.element_tag_id($(@).parent())
          PettanrColorHelper.color_slider_change(trace)
      }
      $(code_picker_trace + 'code_blue').slider {
        orientation: 'horizontal',
        range: 'min',
        max: 255,
        value: blue,
        change: ( event, ui ) ->
          if editor.is_element_part($(@).parent())
            trace = editor.element_part_tag_id($(@).parent())
          else
            trace = editor.element_tag_id($(@).parent())
          PettanrColorHelper.color_slider_change(trace)
      }
      PettanrColorHelper.color_slider_change(code_picker_trace)
  
  
@PettanrColorHelper = PettanrColorHelper
