class LocalManifest.Filer extends ManifestBase.Base
  
  set_default: () ->
    super()
    @item_class = Manifest.item_name_to_model @name
    @json.symbol ||= {}
    @json.caption ||= {}
    @json.summary ||= {}
    @json.icon ||= {}
    @json.date ||= {}
    @json.edit ||= {}
    @json.button ||= {}
    
  init: () ->
    super()
    @symbol = ManifestBase.load_type_args this, @json, 'symbol', LocalManifest.FilerModule.SymbolFactory
    @caption = ManifestBase.load_type_args this, @json, 'caption', LocalManifest.FilerModule.CaptionFactory
    @summary = ManifestBase.load_type_args this, @json, 'summary', LocalManifest.FilerModule.SummaryFactory
    @icon = ManifestBase.load_type_args this, @json, 'icon', LocalManifest.FilerModule.IconFactory
    @date = ManifestBase.load_type_args this, @json, 'date', LocalManifest.FilerModule.DateFactory
    @edit = ManifestBase.load_type_args this, @json, 'edit', LocalManifest.FilerModule.EditFactory
    @button = ManifestBase.load_type_args this, @json, 'button', LocalManifest.FilerModule.ButtonFactory
  
  item_name: () ->
    @name
  
  filer_name: () ->
    @name
  
  constructor: (manifest, name, json, module_name) ->
    super(manifest, name, json, module_name)
    
class LocalManifest.FilerModule

