class Locmare.FormModule.FieldModule.TagModule.TextTag extends Locmare.FormModule.FieldModule.TagModule.Base
  tagName: 'input'
  events: {
    'change': 'change'
  }
  
  render: () ->
    this.$el.html('')
    this.$el.attr(@attr())
    this.$el.val(@value())
    this
  
  refresh: () ->
    @render()
  
  change: () ->
    @field.trigger('change')
  
  attr: () ->
    r = super()
    sz = @options()['size']
    if sz
      r['size'] = sz
    r
  
