class GroundPicturesController < ApplicationController
  if Manifest.manifest.magic_numbers['run_mode'] == 0
    before_action :authenticate_user, :only => []
    before_action :authenticate_author, :only => []
  else
    before_action :authenticate_reader, :only => [
      :index, :show, :by_panel, :by_author
    ]
    before_action :authenticate_user, :only => []
    before_action :authenticate_author, :only => []
  end
  
  def index
    filer_list
  end
  
  def by_panel
    filer_list param: params[:id]
  end
  
  def by_author
    filer_list param: params[:id]
  end
  
  def show_html_format format
    format.html {
      @ground_picture = @item
    }
  end
  
  def show
    set_show
    respond_to do |format|
      show_html_format format
      show_prof_format format
      show_json_format format
    end
  end
  
end
