module Locmare
  module ProfilerModule
    module AssociationModule
      class HasMany
        attr :association, :has_many_manifest
        def initialize association, has_many_manifest
          @association = association
          @has_many_manifest = has_many_manifest
        end
        
        def item
          self.profiler.item
        end
        
        def has_many_model
          @has_many_manifest.model
        end
        
        def filer
          list = ::Locmare::ListGroup.list(
            @has_many_manifest.controller_name, 
            @has_many_manifest.action_name, 
            self.profiler.operators, 
            {:id => self.item.id, :page => 1, :page_size => 3}
          )
          ::Locmare::Filer.new(
            self.has_many_model.item_name, list.items, 
            nil, self.profiler.operators
          )
        end
        
        def profiler
          @association.profiler
        end
        
      end
    end
  end
end
