ManifestBase.require_modules "manifest/model/attribute/source/", 
  %w|base model filter magic_number|

module Manifest
  module ModelModule
    module AttributeModule
        class SourceFactory < ManifestBase::Factory
          include SourceModule
          
          def self.types
            {
              'model' => ModelSource, 'filter' => FilterSource, 'magic_number' => MagicNumberSource
            }
          end
          
          def self.default_type
            'magic_number'
          end
          
        end
        
    end
  end
end
