# -*- encoding: utf-8 -*-
#管理者
require 'spec_helper'

describe Pettanr::Item do
  before do
    SpeechBalloonTemplate.delete_all
    @admin = FactoryGirl.create :admin
    @user = FactoryGirl.create( :user_yas)
    @author = FactoryGirl.create :author, :user_id => @user.id
    @artist = FactoryGirl.create :artist_yas, :author_id => @author.id
    @other_user = FactoryGirl.create( :user_yas)
    @other_author = FactoryGirl.create :author, :user_id => @other_user.id
    @other_artist = FactoryGirl.create :artist_yas, :author_id => @other_author.id
    @sp = FactoryGirl.create :system_picture
    @lg = FactoryGirl.create :license_group
    @license = FactoryGirl.create :license, :license_group_id => @lg.id, :system_picture_id => @sp.id
  end
  
  describe '検証に於いて' do
    before do
    end
    
    context 'オーソドックスなデータのとき' do
=begin
      it 'nullなら失敗する' do
        @gc = User.singular
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.plural
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.item_name
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.path_name
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.default_page_size
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.max_page_size
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.page_number 
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.page_size 
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.list_where
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.list
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.list_paginate
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.list_opt
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.list_json_opt
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.show 1, 1
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.show_opt
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = User.show_json_opt
        @gc.should be_nil
      end
=end
    end
    
    context 'オーソドックスなデータのとき' do
      before do
      end
=begin
      it 'nullなら失敗する' do
        @user.item_name
      end
      it 'nullなら失敗する' do
        @user.dom_id_item
      end
      it 'nullなら失敗する' do
        @user.tag_item_id
      end
      it 'nullなら失敗する' do
        @user.dom_id_item_field ''
      end
      it 'nullなら失敗する' do
        @user.path_name
      end
      it 'nullなら失敗する' do
        @user.form_template
      end
      it 'nullなら失敗する' do
        @user.tag_item_attributes
      end
      it 'nullなら失敗する' do
        @user.field_tag_attributes
      end
      it 'nullなら失敗する' do
        @user.any_tag_attributes
      end
      it 'nullなら失敗する' do
        @user.select_tag_attributes
      end
      it 'nullなら失敗する' do
        @user.tag_attr
      end
      it 'nullなら失敗する' do
        @user.field_tag_attr
      end
      it 'nullなら失敗する' do
        @user.any_tag_attr
      end
=end
    end
    
    context 'オーソドックスなデータのとき' do
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.singular
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.plural
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.item_name
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.path_name
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.default_page_size
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.max_page_size
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.page 
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.page_size 
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.list_where
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.list
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.list_paginate
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.list_opt
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.list_json_opt
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.show 1, 1
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.show_opt
        @gc.should be_nil
      end
      it 'nullなら失敗する' do
        @gc = Pettanr::Item.show_json_opt
        @gc.should be_nil
      end
    end
  end
end
