module LocalManifestsMacros
  # プロファイラーのカラムのマニフェストが期待通りに記述されているか。数量と名称でチェックする。
  def set_columns? columns, names
    expect(columns.keys.size).to eq names.size
    names.each do |name|
      expect(columns.keys).to include name
    end
  end
  
  # プロファイラーのassociationのマニフェストが期待通りに記述されているか。数量と名称でチェックする。
  def set_associations? association, names
    expect(association.map {|a| a.association_name}).to eq names
  end
  
  # リストグループのlistsのマニフェストが期待通りに記述されているか。数量と名称でチェックする。
  def set_lists? lists, names
    expect(lists.keys.size).to eq names.size
    names.each do |name|
      expect(lists.keys).to include name
    end
  end
  
  # 入力フォームのフィールドのマニフェストが期待通りに記述されているか。数量と名称でチェックする。
  def set_fields? fields, names
    expect(fields.keys.size).to eq names.size
    names.each do |name|
      expect(fields.keys).to include name
    end
  end
  
end

