class AddMd5 < ActiveRecord::Migration
  def up
    add_column :original_pictures, :md5, :string, :null => false, :limit => 32, :default => '00000000000000000000000000000000'
    add_column :pictures, :md5, :string, :null => false, :limit => 32, :default => '00000000000000000000000000000000'
    add_column :resource_pictures, :md5, :string, :null => false, :limit => 32, :default => '00000000000000000000000000000000'
  end

  def down
    remove_column :original_pictures, :md5
    remove_column :pictures, :md5
    remove_column :resource_pictures, :md5
  end
end
