class FixExtendSystemData < ActiveRecord::Migration
  def up
    Balloon.find_each do |balloon|
      sbt = balloon.speech_balloon.speech_balloon_template
      if balloon.speech_balloon_template_module_name == 'noname'
        balloon.speech_balloon_template_id = sbt.id
        balloon.speech_balloon_template_module_name = sbt.module_name
        balloon.boosts 'post'
      end
      balloon.save!
    end
    Speech.find_each do |speech|
      sbt = speech.speech_balloon.speech_balloon_template
      if speech.speech_balloon_template_module_name == 'noname'
        speech.speech_balloon_template_id = sbt.id
        speech.speech_balloon_template_module_name = sbt.module_name
      end
      wf =  speech.writing_format
      if speech.writing_format_module_name == 'noname'
        speech.writing_format_module_name = wf.module_name
      end
      speech.boosts 'post'
      speech.save!
    end
    License.find_each do |license|
      lg = license.license_group
      if license.license_group_module_name == 'noname'
        license.license_group_module_name = lg.module_name
      end
      license.boosts 'post'
      license.save!
    end
  end

  def down
  end
end
