module Editor
  module EditorModule
    module DockModule
      class FormBucket < Bucket
        attr_accessor :form
        def initialize parent, form
          super parent
          @form = form
        end
        
        def template_dir
          @parent.dock.template_dir
        end
        
        def template_file_name
          'bucket/element_form'
        end
        
        def template_options
          {:form => @form}
        end
        
      end
      
    end
  end
end
