# -*- encoding: utf-8 -*-
FactoryGirl.define do
  factory :comic_doc, :class => Comic do |i|
    i.title 'ぺったんRのドキュメント'
    i.description '分かりやすく漫画にしました。'
    i.visible 1
    trait :with_comic_stories do
      after(:create) do |comic, evaluator|
        create(:comic_story_plain, t: 0, comic: comic, story: create(:story_install, author: comic.author))
        create(:comic_story_plain, t: 1, comic: comic, story: create(:story_setup, author: comic.author))
      end
    end
    factory :comic_doc_with_comic_stories, traits: [:with_comic_stories]
  end
  factory :comic002, :class => Comic do |i|
    i.title '双子?'
    i.description ''
    i.visible 1
    i.author_id 1
  end
  factory :comic003, :class => Comic do |i|
    i.title '0.6.2をリリースしました'
    i.description ''
    i.visible 0
    i.author_id 4
  end
  factory :comic004, :class => Comic do |i|
    i.title 'アアアッ'
    i.description ''
    i.visible 1
    i.author_id 4
  end
  factory :comic005, :class => Comic do |i|
    i.title '双子?'
    i.description ''
    i.visible 1
    i.author_id 1
  end
  factory :comic006, :class => Comic do |i|
    i.title '0.6.2をリリースしました'
    i.description 'aaaaaaaaaaaaaa'
    i.visible 1
    i.author_id 1
  end
  factory :comic007, :class => Comic do |i|
    i.title 'アアアッ'
    i.description ''
    i.visible 0
    i.author_id 1
  end
  factory :comic008, :class => Comic do |i|
    i.title 'アアアッ'
    i.description ''
    i.visible 1
    i.author_id 1
  end
end
